diff -Nrup a/debian/chromium-blobs.install b/debian/chromium-blobs.install
--- a/debian/chromium-blobs.install	1970-01-01 01:00:00.000000000 +0100
+++ b/debian/chromium-blobs.install	2017-07-08 00:25:15.117939830 +0200
@@ -0,0 +1 @@
+out/Release/*_blob.bin usr/lib/chromium
diff -Nrup a/debian/chromium.install b/debian/chromium.install
--- a/debian/chromium.install	2017-04-14 22:47:40.000000000 +0200
+++ b/debian/chromium.install	2017-07-08 00:25:15.117939830 +0200
@@ -1,8 +1,11 @@
 out/Release/chromium usr/lib/chromium
 out/Release/chrome-sandbox usr/lib/chromium
 
-out/Release/*.bin usr/lib/chromium
-out/Release/*.pak usr/lib/chromium
+out/Release/chrome_*.pak usr/lib/chromium
+out/Release/headless_*.pak usr/lib/chromium
+out/Release/mus_*.pak usr/lib/chromium
+out/Release/*resources.pak usr/lib/chromium
+out/Release/ui_*.pak
 
 out/Release/resources/en-US.pak usr/lib/chromium/locales
 
diff -Nrup a/debian/chromium-shell.install b/debian/chromium-shell.install
--- a/debian/chromium-shell.install	2017-01-02 03:14:00.000000000 +0100
+++ b/debian/chromium-shell.install	2017-07-08 00:25:15.117939830 +0200
@@ -1 +1,2 @@
-out/Release/chromium-shell usr/bin
+out/Release/chromium-shell usr/lib/chromium
+out/Release/content_shell.pak usr/lib/chromium
diff -Nrup a/debian/control b/debian/control
--- a/debian/control	2017-06-17 22:03:49.000000000 +0200
+++ b/debian/control	2017-07-08 00:25:15.118939830 +0200
@@ -87,12 +87,24 @@ Build-Depends:
  fonts-ipafont-mincho,
 Standards-Version: 3.9.8
 
+Package: chromium-blobs
+Architecture: i386 amd64 arm64 armhf
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: web browser - minimal shell
+ Web browser that aims to build a safer, faster, and more stable internet
+ browsing experience.
+ .
+ This package provides the V8 JavaScript engine natives/snapshot blobs.
+
 Package: chromium
 Architecture: i386 amd64 arm64 armhf
 Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ chromium-blobs (= ${binary:Version}),
  x11-utils,
  xdg-utils,
 Recommends:
@@ -135,6 +147,7 @@ Architecture: i386 amd64 arm64 armhf
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ chromium-blobs (= ${binary:Version}),
 Description: web browser - minimal shell
  Web browser that aims to build a safer, faster, and more stable internet
  browsing experience.
diff -Nrup a/debian/rules b/debian/rules
--- a/debian/rules	2017-06-17 22:03:49.000000000 +0200
+++ b/debian/rules	2017-07-08 00:49:11.628934350 +0200
@@ -118,6 +118,9 @@ override_dh_auto_install-arch:
 	    mkdir -p $$dst; \
 	    cp $$file $$dst/chromium.$$ext; \
 	    done
+	# create chromium-shell symlink
+	mkdir -p debian/chromium-shell/usr/bin
+	ln -sf ../lib/chromium/chromium-shell debian/chromium-shell/usr/bin
 
 override_dh_fixperms:
 	dh_fixperms --exclude chrome-sandbox
